<?php defined('C5_EXECUTE') or die('Access Denied.');

$app = \Concrete\Core\Support\Facade\Application::getFacadeApplication();
$form = $app->make('helper/form');
?>

<div class="well text-center">
	<b><span class="text-danger"><?php echo t('Add Stack Link Block to Stacks ONLY!'); ?></span></b><br>
	<b><small><span><?php echo t('Users with Stack Edit Permissions will see quick links on the front of the site, to jump to Dashboard Stack Edit.'); ?></span></small></b>
</div>


<?php
$page = Page::getCurrentPage(); // Is Current Page A Stack.
$stack = $controller->isStack($page);

if ($stack && !$controller->isStackGlobal($stack)) { ?>
	
	<div class="form-group">
		<?php echo $form->checkbox('slTarget', 1, $slTarget).' '.$form->label('slTarget', t('Open In New Window')); ?>
	</div>
	
	
	<div class="form-group">
		<label class="control-label" for="slBsClass"><?php echo t('Style')?></label>
		<?php
		$options = array(
			'button_link' => t('Button > Link'),
			
			'button_default' => t('Button > Default'),
			'button_primary' => t('Button > Primary'),
			'button_success' => t('Button > Success'),
			'button_info' => t('Button > Info'),
			'button_warning' => t('Button > Warning'),
			'button_danger' => t('Button > Danger'),
			
			'block_link' => t('Block > Link'),
			'block_hover' => t('Block > Hover'),
			
			'block_default' => t('Block > Default'),
			'block_primary' => t('Block > Primary'),
			'block_success' => t('Block > Success'),
			'block_info' => t('Block > Info'),
			'block_warning' => t('Block > Warning'),
			'block_danger' => t('Block > Danger'),
			
			'block_alert-success' => t('Block > Alert Success'),
			'block_alert-success_hover' => t('Block > Alert Success > Hover'),
			'block_alert-info' => t('Block > Alert Info'),
			'block_alert-info_hover' => t('Block > Alert Info > Hover'),
			'block_alert-warning' => t('Block > Alert Warning'),
			'block_alert-warning_hover' => t('Block > Alert Warning > Hover'),
			'block_alert-danger' => t('Block > Alert Danger'),
			'block_alert-danger_hover' => t('Block > Alert Danger > Hover'),
		);
		echo $form->select('slBsClass', $options, $slBsClass);
		?>
	</div>
	
	
	<div class="form-group">
		<label class="control-label" for="slBsSize"><?php echo t('Size')?></label>
		<?php
		$options = array(
			'xs' => t('XS'),
			'sm' => t('SM'),
			'md' => t('MD'),
			'lg' => t('LG'),
		);
		echo $form->select('slBsSize', $options, $slBsSize);
		?>
	</div>
	
	
	<div class="form-group">
		<label class="control-label" for="slBsAlign"><?php echo t('Align')?></label>
		<?php
		$options = array(
			'left' => t('Left'),
			'right' => t('Right'),
			'center' => t('Center'),
		);
		echo $form->select('slBsAlign', $options, $slBsAlign);
		?>
		<div class="well text-primary"><?php echo t('Block style buttons auto center'); ?></div>	
	</div>
		
<?php }
